#include "HX711.h"

/* A0 & A3 = CLK
 * A1 & A1 = DATA
 */

#define Tare 12


HX711 Sensor_1(A1, A0);
HX711 Sensor_2(A3, A2);

double Ausgabe_Sensor;
long Ausgabe_Sensor_long;
byte LByte, HByte;

void setup() {

  pinMode(Tare, INPUT_PULLUP);

  Sensor_1.set_scale(2280.f);    
  Sensor_1.tare();               

  Sensor_2.set_scale(2280.f);     
  Sensor_2.tare(); 

  Serial.begin(9600);
}

void loop() {


  if(!digitalRead(Tare))
    {
      Sensor_1.tare();
      Sensor_2.tare();
    }



  Serial.write(0xDD);


  
  Ausgabe_Sensor =  Sensor_1.get_value() ;
  Ausgabe_Sensor_long = (long) Ausgabe_Sensor;
  Ausgabe_Sensor_long = Ausgabe_Sensor_long >> 5;
  LByte = Ausgabe_Sensor_long;
  HByte = (Ausgabe_Sensor_long >> 8);
  Serial.write(HByte);
  Serial.write(LByte);
  
  Ausgabe_Sensor =  Sensor_1.get_value() ;
  Ausgabe_Sensor_long = (long) Ausgabe_Sensor;
  Ausgabe_Sensor_long = Ausgabe_Sensor_long >> 5;
  LByte = Ausgabe_Sensor_long;
  HByte = (Ausgabe_Sensor_long >> 8);
  Serial.write(HByte);
  Serial.write(LByte);






  Ausgabe_Sensor =  Sensor_2.get_value() ;
  Ausgabe_Sensor_long = (long) Ausgabe_Sensor;
  Ausgabe_Sensor_long = Ausgabe_Sensor_long >> 5;
  LByte = Ausgabe_Sensor_long;
  HByte = (Ausgabe_Sensor_long >> 8);
  Serial.write(HByte);
  Serial.write(LByte);
  
  Ausgabe_Sensor =  Sensor_2.get_value() ;
  Ausgabe_Sensor_long = (long) Ausgabe_Sensor;
  Ausgabe_Sensor_long = Ausgabe_Sensor_long >> 5;
  LByte = Ausgabe_Sensor_long;
  HByte = (Ausgabe_Sensor_long >> 8);
  Serial.write(HByte);
  Serial.write(LByte);


}
